--- /dev/null	2014-06-12 17:28:22.000000000 +0100
+++ new/usr/src/uts/common/io/scsi/adapters/mpt_sas3/mpt_sas3.conf	2014-06-12 17:28:22.481505439 +0100
@@ -0,0 +1,51 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+#
+
+#
+# The mpt_sas driver, as a pHCI driver, must specify the vHCI class it
+# belongs to(scsi_vhci).
+#
+ddi-vhci-class="scsi_vhci";
+#
+# I/O multipathing feature (MPxIO) can be enabled or disabled using
+# mpxio-disable property. Setting mpxio-disable="no" will activate
+# I/O multipathing; setting mpxio-disable="yes" disables the feature.
+#
+# Global mpxio-disable property:
+#
+# To globally enable MPxIO on all LSI MPT SAS 2.0 controllers set:
+# mpxio-disable="no";
+#
+# To globally disable MPxIO on all LSI MPT SAS 2.0 controllers set:
+# mpxio-disable="yes";
+#
+# You can also enable or disable MPxIO on a per HBA basis. 
+# Per HBA settings override the global setting for the specified HBAs.
+# To disable MPxIO on a controller whose parent is /pci@7c0/pci@0/pci@9
+# and the unit-address is "0" set:
+# name="mpt_sas" parent="/pci@7c0/pci@0/pci@9" unit-address="0" mpxio-disable="yes";
+#
+mpxio-disable="no";
